Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226396

Summary: Merge Review: scim-pinyin
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Jens Petersen <petersen>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: eng-i18n-bugs, phuang
Target Milestone: ---Flags: petersen: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-06-28 08:50:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Nobody's working on this, feel free to take it 2007-01-31 20:55:40 UTC
Fedora Merge Review: scim-pinyin

http://cvs.fedora.redhat.com/viewcvs/devel/scim-pinyin/
Initial Owner: phuang@redhat.com

Comment 1 Parag AN(पराग) 2007-03-12 07:02:52 UTC
mock build is fine but build.log showed me
+ cd skim
+ ./bootstrap
*** YOU'RE USING autoconf (GNU Autoconf) 2.61.
*** KDE requires autoconf 2.53 or newer
=====> This looks wrong to me.<=====
gmake: *** [cvs] Error 1
+ cd ..


rpmlint on SRPM reports
W: scim-pinyin mixed-use-of-spaces-and-tabs (spaces: line 20, tab: line 3)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

rpmlint on RPM reports
I: scim-pinyin checking
E: scim-pinyin obsolete-not-provided iiimf-le-chinput
The obsoleted package must also be provided to allow clean upgrade paths
and not to break dependencies.

E: scim-pinyin obsolete-not-provided miniChinput
The obsoleted package must also be provided to allow clean upgrade paths
and not to break dependencies.

E: scim-pinyin zero-length /usr/share/doc/scim-pinyin-0.5.91/NEWS


Comment 2 Parag AN(पराग) 2007-03-26 09:44:18 UTC
(In reply to comment #1)
> mock build is fine but build.log showed me
> + cd skim
> + ./bootstrap
> *** YOU'RE USING autoconf (GNU Autoconf) 2.61.
> *** KDE requires autoconf 2.53 or newer
> =====> This looks wrong to me.<=====
> gmake: *** [cvs] Error 1
> + cd ..
> 
  You may like to ask on fedora-maintainers about this problem. Or I think you
can use conditional check to use particular version of autoconf.
> 
> rpmlint on SRPM reports
> W: scim-pinyin mixed-use-of-spaces-and-tabs (spaces: line 20, tab: line 3)
> The specfile mixes use of spaces and tabs for indentation, which is a
> cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
> 
  easy to fix use "sed -i -e 's|\t|  |g' scim-pinyin"

> rpmlint on RPM reports
> I: scim-pinyin checking
> E: scim-pinyin obsolete-not-provided iiimf-le-chinput
> The obsoleted package must also be provided to allow clean upgrade paths
> and not to break dependencies.
> 
> E: scim-pinyin obsolete-not-provided miniChinput
> The obsoleted package must also be provided to allow clean upgrade paths
> and not to break dependencies.
> 
  Above has been set to report as Warnings so they are not problematic.

> E: scim-pinyin zero-length /usr/share/doc/scim-pinyin-0.5.91/NEWS
  Remove NEWS from SPEC as we try to avoid such zero-length files to include in
package.
   



Comment 3 Jens Petersen 2007-06-26 02:14:34 UTC
ping maintainer

Comment 4 Peng Huang 2007-06-26 03:16:29 UTC
fixed in scim-pinyin-0_5_91-18_fc8.

Comment 5 Jens Petersen 2007-06-27 06:36:03 UTC
Ok thanks.  I removed %with_libstdc_preview from the spec file in cvs
it is no longer needed (after FC5 EOL).

W: scim-pinyin patch-not-applied Patch1: scim-pinyin-shuangpin.patch

scim-pinyin-shuangpin.patch should be removed from the spec file
and cvs too to be clean.

W: scim-pinyin obsolete-not-provided iiimf-le-chinput
W: scim-pinyin obsolete-not-provided miniChinput

These can be waived.

I think the ChangeLog file should be dropped from %doc it is not
really useful for users.

I checked the md5sum is good:
fb96d3545090d7681ea03edaced4eccb  scim-pinyin-0.5.91.tar.gz

I don't see any other problems than the two above. :)

Comment 6 Peng Huang 2007-06-27 08:04:10 UTC
Fixed them in scim-pinyin-0_5_91-19_fc8

Comment 7 Jens Petersen 2007-06-28 08:50:53 UTC
Thanks.

Packages satisfies all Must items of Package Review Guidelines.

APPROVED

Comment 9 Jens Petersen 2007-06-28 08:54:08 UTC
oops

that should be scim-pinyin:

Package Change Request
======================
Package Name: scim-pinyin
New Branches: EL-4



Comment 10 Kevin Fenzi 2007-06-28 19:42:22 UTC
cvs done.